Subject: Re: bug#47698: [powerpc64le-linux] "check" package fails to build

From: Efraim Flashner <[email-masked]>
Date: Fri, 4 Jun 2021 12:11:43 +0300

On Thu, Jun 03, 2021 at 11:58:21PM -0700, Chris Marusich wrote:
> Chris Marusich <[email-masked]> writes:
> 
> > [...] I've reported this issue upstream:
> > https://github.com/libcheck/check/issues/333
> 
> Branden Archer replied in the above issue.  In short, the unreleased
> upstream commit 4fbe702fa4f35bee8a90512f9f59d1441c4ae82e fixes this
> issue on PPC platforms.  Here's what the commit does:
> 
> https://github.com/libcheck/check/commit/4fbe702fa4f35bee8a90512f9f59d1441c4ae82e.patch
> 
>   Adjust test suite for 106-bit long double precision
> 
>   On PowerPC architectures (ppc, ppc64el, powerp) 'long double' has a
>   precision of 106-bit, compared to 80-bit precision on amd64.
> 
>   This leads to the test_ck_assert_(float|double|ldouble)_eq_tol succeed
>   rather than fail as expected, cause 0.003-0.002 will be actually
>   slightly bigger than 0.001 and not slightly smaller.
> 
>   Increase the change to the tolerance, so it will be on all architectures
>   smaller than the difference of ~0.001 and the unit tests will fail as
>   expected.
> 
> This commit was merged to the check repository's master branch after its
> latest release (0.15.2).  It will be included in the next check release,
> but until then, we will have to apply the fix as a patch to our check
> package.  I've attached a patch that does this.
> 
> -- 
> Chris

I'm trying it out now on powerpc-linux, where check was also failing.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted